package com.gic.haoban.manage.web.vo.chat;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.gic.web.common.jsonSeralizer.PhoneNumberJsonSeralizer;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shangfeng
 * @date 2024-10-09 15:30:26
 */
public class GroupChatActivityInviteLogVO implements Serializable {

    private static final long serialVersionUID = -7144700091431890994L;

    /**
     * 会员名称
     */
    private String name;

    /**
     * 会员手机
     */
    @JsonSerialize(using = PhoneNumberJsonSeralizer.class)
    private String phoneNumber;

    /**
     * 会员别名昵称
     */
    private String nickName;

    /**
     * 会员是否删除
     * 0 正常
     * 1 已删除
     */
    private Integer memberDeleteFlag;

    /**
     * 受邀人会员名称
     */
    private String inviteeName;

    /**
     * 受邀人会员手机
     */
    private String inviteePhoneNumber;

    /**
     * 受邀人会员别名昵称
     */
    private String inviteeNickName;

    /**
     * 社群活动id
     */
    private Long chatActivityId;

    /**
     * 邀请人会员ID
     */
    private String inviterMemberId;

    /**
     * 受邀人会员ID
     */
    private String inviteeMemberId;

    /**
     * 受邀人外部联系人id
     */
    private String inviteeUserId;

    /**
     * 姓名
     */
    private String userName;

    /**
     * 群id
     */
    private Long groupChatId;

    /**
     * 群名称
     */
    private String groupChatName;

    /**
     * 有效邀请类型 1有效0无效
     */
    private Integer inviteType;

    /**
     * 无效邀请类型 1非首次参与活动受邀入群2入群前已处于企业群聊内3非首次加入企业群聊
     */
    private Integer invalidInviteType;

    /**
     * 是否新增会员 1是 0否 null未统计
     */
    private Integer addMemberType;

    /**
     * 企业ID
     */
    private String enterpriseId;

    /**
     * 入群时间
     */
    private Date createTime;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public Integer getMemberDeleteFlag() {
        return memberDeleteFlag;
    }

    public void setMemberDeleteFlag(Integer memberDeleteFlag) {
        this.memberDeleteFlag = memberDeleteFlag;
    }

    public String getInviteeName() {
        return inviteeName;
    }

    public void setInviteeName(String inviteeName) {
        this.inviteeName = inviteeName;
    }

    public String getInviteePhoneNumber() {
        return inviteePhoneNumber;
    }

    public void setInviteePhoneNumber(String inviteePhoneNumber) {
        this.inviteePhoneNumber = inviteePhoneNumber;
    }

    public String getInviteeNickName() {
        return inviteeNickName;
    }

    public void setInviteeNickName(String inviteeNickName) {
        this.inviteeNickName = inviteeNickName;
    }

    public Long getChatActivityId() {
        return chatActivityId;
    }

    public void setChatActivityId(Long chatActivityId) {
        this.chatActivityId = chatActivityId;
    }

    public String getInviterMemberId() {
        return inviterMemberId;
    }

    public void setInviterMemberId(String inviterMemberId) {
        this.inviterMemberId = inviterMemberId;
    }

    public String getInviteeMemberId() {
        return inviteeMemberId;
    }

    public void setInviteeMemberId(String inviteeMemberId) {
        this.inviteeMemberId = inviteeMemberId;
    }

    public String getInviteeUserId() {
        return inviteeUserId;
    }

    public void setInviteeUserId(String inviteeUserId) {
        this.inviteeUserId = inviteeUserId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Long getGroupChatId() {
        return groupChatId;
    }

    public void setGroupChatId(Long groupChatId) {
        this.groupChatId = groupChatId;
    }

    public String getGroupChatName() {
        return groupChatName;
    }

    public void setGroupChatName(String groupChatName) {
        this.groupChatName = groupChatName;
    }

    public Integer getInviteType() {
        return inviteType;
    }

    public void setInviteType(Integer inviteType) {
        this.inviteType = inviteType;
    }

    public Integer getInvalidInviteType() {
        return invalidInviteType;
    }

    public void setInvalidInviteType(Integer invalidInviteType) {
        this.invalidInviteType = invalidInviteType;
    }

    public Integer getAddMemberType() {
        return addMemberType;
    }

    public void setAddMemberType(Integer addMemberType) {
        this.addMemberType = addMemberType;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
